Praveen's MailHi List,

I am new to PHP and as well as with MySQL, 

  a.. I have installed PHP 5.28, on win 2K  (with IIS) and it is installed 
properly I suppose, as when I call phpinfo (), through a script, it shows the 
PHP Information. 
  b.. then I installed MySQL 5.1.30, and through MySQL command prompt I am  
able to do things (creating tables, making queries etc). 
  c.. Now I want to use MySQL with PHP, but seems that MySQLI is not installed 
properly. as when I write a following script in a php page I get the error, 
that 'MySQLi' is not installed properly,.
            <?php 
          $si = function_exists ( 'mysqli_connect' ) ;
          if ( $si )
          {
              echo ' MySQLi appears to be installed correctly ' ;
          }
          else
          {
              echo 'MySQLi <B> does not </B> appears to be installed. ' ;
          }
      ?>

I understand that it is a configuration error somewhere, as I am new here in 
this world I am unable to figure out what ?

I am attaching the php.ini for the reference.

Praveen K. 


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- =-=-=-=-=-=-= 
Praveen Katiyar 

Site : http://praveenkatiyar.co.cc 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- =-=-=-=-=-=-= 

<<back.jpg>>

-- 
PHP Database Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply via email to